.\" Copyright (c) 1990 Carnegie Mellon University
.\" All Rights Reserved.
.\" 
.\" Permission to use, copy, modify and distribute this software and its
.\" documentation is hereby granted, provided that both the copyright
.\" notice and this permission notice appear in all copies of the
.\" software, derivative works or modified versions, and any portions
.\" thereof, and that both notices appear in supporting documentation.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND CARNEGIE MELLON UNIVERSITY
.\" DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.  IN NO EVENT
.\" SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE FOR ANY SPECIAL, DIRECT,
.\" INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER
.\" RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
.\" CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.\" Users of this software agree to return to Carnegie Mellon any
.\" improvements or extensions that they make and grant Carnegie the
.\" rights to redistribute these changes.
.\"
.\" Export of this software is permitted only after complying with the
.\" regulations of the U.S. Deptartment of Commerce relating to the
.\" Export of Technical Data.
.\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.\" HISTORY
.\" $Log:	getchr.3,v $
.\" Revision 1.2  90/12/12  15:50:31  mja
.\" 	Add copyright/disclaimer for distribution.
.\" 
.\" 13-Nov-86  Andi Swimmer (andi) at Carnegie-Mellon University
.\" 	Revised for 4.3.
.\" 
.\" 23-Oct-82  Steven Shafer (sas) at Carnegie-Mellon University
.\" 	Error or EOF on standard input now causes default value to be used.
.\" 
.\" 05-Dec-79  Steven Shafer (sas) at Carnegie-Mellon University
.\" 	Created.
.\" 
.TH GETCHR 3 10/23/82
.CM 3
.SH "NAME"
getchr \- ask user to type a character
.SH "SYNOPSIS"
.B
#include <stdio.h>
.sp
.B
int getchr (prompt,legals,defalt);
.br
.B
char *prompt,*legals,defalt;
.SH "DESCRIPTION"
.I
Getchr
will print its prompt and ask the user for a single character.
If that
charactter is in the string of legal response characters
.RI ( legals ),
then its index is returned.
If a null string is typed (just a
carriage return), then the default character
.RI ( defalt )
will be assumed and its index returned.
If a character is typed
which is not in the string of legal responses, then an error message
is printed and the prompt-and-response cycle is repeated.
.SH "SEE ALSO"
.IR getbool (3), 
.IR getstr (3), 
.IR getstab (3), 
etc.
.br
.IR chrarg (3)
.SH "BUGS"
There is no provision for an escape response (e.g.
"I don't like any
of these choices").
